Subject: Re: bug#14076: 24.3; Comments in Fortran Source

From: Glenn Morris <[email-masked]>
Date: Wed, 03 Apr 2013 23:51:46 -0400

Stefan Monnier wrote:

> How 'bout we rename fortran.el to f77.el, change the "fortran-" prefix
> to "f77-" (and add obsolete aliases where needed)?

Probably the right thing to do; but: Once I had some vague hope to make
"fortran-mode" a smart thing that chose the correct mode, f77 or f90 (or
f95 or f2000 or ...), based on the filename/contents, but it never
happened and shows no sign of doing so. Without a realistic expectation
of that second step, the first step of renaming things will just annoy
people for no reason, so I can't see much point.